Bug 756928 - db2html does not plenty honor --output
Summary: db2html does not plenty honor --output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docbook-utils
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-25 07:44 UTC by Pierre
Modified: 2011-12-05 00:25 UTC (History)
1 user (show)

Fixed In Version: docbook-utils-0.6.14-29.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-05 00:25:03 UTC
Type: ---


Attachments (Terms of Use)

Description Pierre 2011-11-25 07:44:00 UTC
Description of problem:
The --output option of db2html is supposed to produce output in the specified directory. It actually has the following behavior:
- display an erroneous message "output is <dir>", where <dir> is the base directory of the source document
- generate the html output file in the specified directory
- create a stylesheet-images directory as a subdirectory of <dir>

Version-Release number of selected component (if applicable):
0.6.14

How reproducible:
Always

Steps to Reproduce:
1. have a HOME/C/nact.xml
2. cd HOME
3. db2html --output html --nochunks C/nact.xml
  
Actual results:
- displays "output is C/nact"
- creates html/nact.html
- creates C/nact/stylesheet-images/ subdirectory

Expected results:
- displays "output is html/nact.html"
- creates html/nact.html
- creates html/stylesheet-images/ subdirectory

Additional info:

Comment 1 Ondrej Vasik 2011-11-25 08:53:54 UTC
Thanks for report, db2html is very stupid wrapper shell script and it doesn't know anything about the options you provided to jw which actually does the work(and has this --output option). 

However, I agree that the db2html could(and should) be improved a bit to better understand output-related jw options to produce correct results in the situations like you described...

Comment 2 Ondrej Vasik 2011-11-25 19:52:29 UTC
Should be fixed in docbook-utils-0.6.14-29.fc17 ...

Comment 3 Fedora Update System 2011-11-25 20:03:41 UTC
docbook-utils-0.6.14-29.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/docbook-utils-0.6.14-29.fc16

Comment 4 Pierre 2011-11-25 22:45:04 UTC
I'll have only one word: great!

Thanks.
Regards,
Pierre

Comment 5 Fedora Update System 2011-11-26 23:08:50 UTC
Package docbook-utils-0.6.14-29.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docbook-utils-0.6.14-29.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16470/docbook-utils-0.6.14-29.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-12-05 00:25:03 UTC
docbook-utils-0.6.14-29.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.